"""Function to save GE computed for all loops."""


def save_loops(file, ge_list):
    """Save GE computed for all loops."""
    with open(file, "w") as out:
        out.write("# loop_res1, loop_res2, ge_n_value, ge_n_thr_start, ge_n_thr_end, ge_c_value, ge_c_thr_start, ge_c_thr_end\n")
        # both GE refers to the same loop
        for ge in ge_list:
             out.write(
                 f"{ge.n_term.loop[0]},{ge.n_term.loop[1]},{ge.n_term.value},{ge.n_term.thread[0]},{ge.n_term.thread[1]},{ge.c_term.value},{ge.c_term.thread[0]},{ge.c_term.thread[1]}\n"
             )


def save_config(file, ge_max, ge_w):
    """Save GE computed for all loops."""
    with open(file, "w") as out:
        out.write("# ge_max_value, ge_max_loop_start, ge_max_loop_end, ge_max_thr_start, ge_max_thr_end, ge_weighted\n")
        if ge_w is not None and ge_max is not None:
            out.write(f"{ge_max.value},{ge_max.loop[0]},{ge_max.loop[1]},{ge_max.thread[0]},{ge_max.thread[1]},{ge_w.value}\n")
